package com.huimv.cattle.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Project : huimv-breed
 * @Package : IntelliJ IDEA
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2022/9/28
 **/
@Configuration
public class WebConfig implements WebMvcConfigurer {
    @Bean
    public GlobalInterceptor globalInterceptor() {
        return new GlobalInterceptor();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(globalInterceptor())
                .addPathPatterns("/**")
                .excludePathPatterns("/v1.0.0/account/login",
                        "/v1.0.0/account/logout",
                        "/v1.0.0/account/loginApp",
                        "/v1.0.0/account/loginScreen");
    }
}
