package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.DataSource;
import com.huimv.cattle.service.DataSourceService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/datasource")
public class DataSourceController {
    @Autowired
    private DataSourceService dataSourceService;

    //查询
    @PostMapping("/getDataSource")
    public Result getDataSource() throws ParseException {
        return dataSourceService.getDataSource();
    }

    //新增
    @PostMapping("/setDataSouce")
    public Result setDataSouce(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return dataSourceService.setDataSouce(paramsMap);
    }

    @PostMapping("/getDataSourceStatus")
    public DataSource getDataSourceStatus() throws ParseException {
        return dataSourceService.getDataSourceStatus();
    }
}

