package com.huimv.cattle.controller;

import com.huimv.cattle.pojo.OnlineService;
import com.huimv.cattle.service.OnlineServiceService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/onlineService")
public class OnlineServiceController {
    @Autowired
    private OnlineServiceService onlineServiceService;

    @PostMapping("/getOnlineService")
    public Result getOnlineService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return onlineServiceService.getOnlineService(request,paramsMap);
    }
    @PostMapping("/getOnlineServiceScreen")
    public Result getOnlineServiceScreen(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return onlineServiceService.getOnlineServiceScreen(request,paramsMap);
    }

    @PostMapping("/saveOnlineService")
    public Result saveOnlineService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return onlineServiceService.saveOnlineService(request,paramsMap);
    }
}

