package com.huimv.cattle.controller;


import com.huimv.cattle.service.SysGroupMenuService;
import com.huimv.common.utils.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/group-menu")
public class SysGroupMenuController {
    @Resource
    private SysGroupMenuService sysGroupMenuService;

    @PostMapping("/saveGroupMenu")
    public Result saveGroupMenu(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupMenuService.saveGroupMenu(paramsMap);
    }

    @PostMapping("/getMenuByGroupId")
    public Result getMenuByGroupId(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupMenuService.getMenuByGroupId(paramsMap);
    }
}

