package com.huimv.cattle.controller;


import com.huimv.cattle.service.SysUserGroupService;
import com.huimv.common.utils.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/user-group")
public class SysUserGroupController {
    @Resource
    private SysUserGroupService sysUserGroupService;

    @PostMapping("/saveUserGroup")
    public Result saveUserGroup(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysUserGroupService.saveUserGroup(paramsMap);
    }

    @PostMapping("/getGroupByUserId")
    public Result getGroupByUserId(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysUserGroupService.getGroupByUserId(paramsMap);
    }
}

