package com.huimv.cattle.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.cattle.pojo.OutStock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Repository
public interface OutStockMapper extends BaseMapper<OutStock> {
    List<OutStock> listData(@Param(Constants.WRAPPER) QueryWrapper<OutStock> wrapper);
}
