package com.huimv.cattle.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.huimv.cattle.pojo.Stock;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
public interface StockService extends IService<Stock> {
    Result getStock(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result add(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result getListStock(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result getListStockScreen(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result getAllTownStock(HttpServletRequest request, JSONArray allTownsJa);

    Result getListVillageStockScreen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
