package com.huimv.cattle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.cattle.pojo.SysFarmService;
import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
public interface SysFarmServiceService extends IService<SysFarmService> {

    Result listAllService(HttpServletRequest request, Map<String, String> paramsMap);

    Result listMyService(HttpServletRequest request, Map<String, String> paramsMap);

    Result newService(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;

    Result removeService(HttpServletRequest request, Map<String, String> paramsMap);

    Result timeoutService(HttpServletRequest request, Map<String, String> paramsMap);

    Result cancelService(HttpServletRequest request, Map<String, String> paramsMap);
}
