package com.huimv.cattle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.cattle.pojo.SysMenu;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
public interface SysMenuService extends IService<SysMenu> {

    Result list(Map<String, String> paramMap);

    Result newMenu(Map<String, String> paramMap);

    Result editMenu(Map<String, String> paramMap);

    Result removeMenu(Map<String, String> paramMap);
    
    Result getMyMenu(HttpServletRequest request, Map<String, String> paramMap);

    List<String> getMyButton(HttpServletRequest request, Map<String, String> paramMap);
}
