package com.huimv.cattle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.cattle.pojo.SysUserAccount;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
public interface SysUserAccountService extends IService<SysUserAccount> {

    Result login(HttpServletRequest req, Map<String, String> paramsMap);

    Result logout(HttpServletRequest request, Map<String, String> paramsMap);

    Result newUserAccount(HttpServletRequest request, Map<String, String> paramsMap);

    Result editUserAccount(Map<String, String> paramsMap);

    Result removeUserAccount(Map<String, String> paramsMap);

    Result listUserAccount(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;

    Result resetPassword(Map<String, String> paramsMap);

    Result loginApp(HttpServletRequest request, Map<String, String> paramsMap);

    Result listPlatformUserAndFarmAdmin(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;

    Result resetMyPassword(HttpServletRequest request, Map<String, String> paramsMap);

    Result loginScreen(HttpServletRequest request, Map<String, String> paramsMap);
}
