package com.huimv.cattle.controller;


import com.huimv.cattle.service.FarmKindCountService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/farmKindCount")
public class FarmKindCountController {
    @Autowired
    private FarmKindCountService farmKindCountService;

    @PostMapping("/getFarmKindCount")
    public Result getFarmKindCount(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return farmKindCountService.getFarmKindCount(request,paramsMap);
    }

    @PostMapping("/saveFarmKindCount")
    public Result saveFarmKindCount(HttpServletRequest request, @RequestBody Map<String,String> paramsMap){
        return farmKindCountService.saveFarmKindCount(request,paramsMap);
    }

}

