package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.IndustryOutput;
import com.huimv.cattle.service.IndustryOutputService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/industryOutput")
public class IndustryOutputController {
    @Autowired
    private IndustryOutputService industryOutputService;

    @PostMapping("/getIndustryOutput")
    public Result getIndustryOutput(HttpServletRequest request, @RequestBody Map<String,String> paramsMap){
        return industryOutputService.getIndustryOutput(request,paramsMap);
    }
    @PostMapping("/getIndustryOutputScreen")
    public Result getIndustryOutputScreen(HttpServletRequest request, @RequestBody Map<String,String> paramsMap){
        return industryOutputService.getIndustryOutputScreen(request,paramsMap);
    }

    @PostMapping("/saveIndustryOutput")
    public Result saveIndustryOutput(HttpServletRequest request,@RequestBody Map<String,String> paramsMap){
        return industryOutputService.saveIndustryOutput(request,paramsMap);
    }

}

