package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.StockStatus;
import com.huimv.cattle.service.StockStatusService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/stockStatus")
public class StockStatusController {
    @Autowired
    private StockStatusService stockStatusService;

    @PostMapping("/getStockStatus")
    public Result getStockStatus(HttpServletRequest request,@RequestBody Map<String, String> paramsMap){
        return stockStatusService.getStockStatus(request,paramsMap);
    }
    @PostMapping("/getStockStatusScreen")
    public Result getStockStatusScreen(HttpServletRequest request,@RequestBody Map<String, String> paramsMap){
        return stockStatusService.getStockStatusScreen(request,paramsMap);
    }

    @PostMapping("/saveStockStatus")
    public Result saveStockStatus(HttpServletRequest request,@RequestBody Map<String, String> paramsMap){
        return stockStatusService.saveStockStatus(request,paramsMap);
    }
    
}

