package com.huimv.cattle.controller;


import com.huimv.cattle.service.SysFarmServiceService;
import com.huimv.common.utils.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
@CrossOrigin
@RestController
@RequestMapping("/platform/v1.0.0/service")
public class SysFarmServiceController {
    @Resource
    private SysFarmServiceService sysFarmServiceService;

    @PostMapping("/listAll")
    public Result listAllService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysFarmServiceService.listAllService(request,paramsMap);
    }

    @PostMapping("/listMyService")
    public Result listMyService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysFarmServiceService.listMyService(request,paramsMap);
    }

    @PostMapping("/new")
    public Result newService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap) throws ParseException {
        return sysFarmServiceService.newService(request,paramsMap);
    }

    @PostMapping("/remove")
    public Result removeService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysFarmServiceService.removeService(request,paramsMap);
    }

    @PostMapping("/timeout")
    public Result timeoutService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysFarmServiceService.timeoutService(request,paramsMap);
    }

    @PostMapping("/cancel")
    public Result cancelService(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysFarmServiceService.cancelService(request,paramsMap);
    }
}

