package com.huimv.cattle.controller;


import com.huimv.cattle.service.SysGroupService;
import com.huimv.common.utils.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/group")
public class SysGroupController {
    @Resource
    private SysGroupService sysGroupService;

    @PostMapping("/list")
    public Result listGroup(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupService.listGroup(request,paramsMap);
    }
    @PostMapping("/listByUserId")
    public Result listByUserId(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupService.listByUserId(request,paramsMap);
    }

    @PostMapping("/new")
    public Result newGroup(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupService.newGroup(request,paramsMap);
    }

    @PostMapping("/edit")
    public Result editGroup(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupService.editGroup(request,paramsMap);
    }

    @PostMapping("/remove")
    public Result removeGroup(HttpServletRequest request, @RequestBody Map<String, String> paramsMap){
        return sysGroupService.removeGroup(request,paramsMap);
    }
}

