package com.huimv.cattle.mapper;

import com.huimv.cattle.pojo.FarmKindCount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Repository
public interface FarmKindCountMapper extends BaseMapper<FarmKindCount> {

    List<FarmKindCount> getFarmKindCount(@Param("farmCode") String farmCode);

    void deleteAll(@Param("farmCode") String farmCode);
}
