package com.huimv.cattle.mapper;

import com.huimv.cattle.pojo.IndustryOutput;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Repository
public interface IndustryOutputMapper extends BaseMapper<IndustryOutput> {

    void deleteAll(@Param("farmCode") String farmCode);

    List<IndustryOutput> getIndustryOutputScreen();
}
