package com.huimv.cattle.mapper;

import com.huimv.cattle.pojo.StockStatus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
@Repository
public interface StockStatusMapper extends BaseMapper<StockStatus> {

    StockStatus getStockStatus(@Param("farmCode") String farmCode);

    StockStatus getStockStatusScreen(String[] farmCode);
}
