package com.huimv.cattle.pojo;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Insure implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String policyHolder;

    private BigDecimal amount;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date insuranceTime;

    private Integer period;

    private Integer insuranceCount;

    private String insuranceCompany;

    private String insuranceType;

    private Integer insuranceOut;

    private BigDecimal premium;

    private Integer insuranceStatus;

    private String farmCode;
}
