package com.huimv.cattle.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysUserAccount implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userName;

    private Integer male;

    private String job;

    private String mobile;

    private Integer accountClass;

    private Integer accountType;

    private String accountName;

    private String password;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date loginTime;

    private String farmCode;

    private Integer loginStatus;


}
