package com.huimv.cattle.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.cattle.pojo.Overview;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
public interface OverviewService extends IService<Overview> {

    Result overList(HttpServletRequest httpServletRequest,Map<String, String> paramsMap);

    Result add(HttpServletRequest httpServletRequest,Map<String, String> paramsMap);

    Result getListOverview(HttpServletRequest httpServletRequest,Map<String, String> paramsMap);

    Result getListOverviewScreen(HttpServletRequest httpServletRequest,Map<String, String> paramsMap);

    Integer getOutStock(JSONObject townJo);
}
