package com.huimv.cattle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.cattle.pojo.SysFarm;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
public interface SysFarmService extends IService<SysFarm> {

    Result initFarmFlow(HttpServletRequest request, Map<String, String> paramsMap);

    Result listFarm(HttpServletRequest request, Map<String, String> paramsMap);

    Result newFarm(HttpServletRequest request, Map<String, String> paramsMap);

    Result editFarm(HttpServletRequest request, Map<String, String> paramsMap);

    Result removeFarm(HttpServletRequest request, Map<String, String> paramsMap);

    Result resetPassword(HttpServletRequest request, Map<String, String> paramsMap);

    Result getAllFarmId(HttpServletRequest request, Map<String, String> paramsMap);

    Result listAllTownsCount(HttpServletRequest request);
}
