package com.huimv.cattle.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.cattle.pojo.SysGroup;
import com.huimv.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-09-26
 */
public interface SysGroupService extends IService<SysGroup> {

    Result listGroup(HttpServletRequest request, Map<String, String> paramsMap);

    Result newGroup(HttpServletRequest request, Map<String, String> paramsMap);

    Result editGroup(HttpServletRequest request, Map<String, String> paramsMap);

    Result removeGroup(HttpServletRequest request, Map<String, String> paramsMap);

    Result listByUserId(HttpServletRequest request, Map<String, String> paramsMap);
}
