package com.huimv.cattle.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.huimv.cattle.pojo.PreventDetection;
import com.huimv.cattle.mapper.PreventDetectionMapper;
import com.huimv.cattle.service.PreventDetectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
@Service
public class PreventDetectionServiceImpl extends ServiceImpl<PreventDetectionMapper, PreventDetection> implements PreventDetectionService {

    @Autowired
    private PreventDetectionMapper preventDetectionMapper;

    @Override
    public List<PreventDetection> getPreventDetectionScreen(String farmCode) {
        if (StringUtils.isBlank(farmCode)){
            farmCode = "0";
        }
        return preventDetectionMapper.getPreventDetectionScreen(farmCode);
    }
}
